org.keycloak.adapters.undertow

## Class SessionManagementBridge

- java.lang.Object
- - org.keycloak.adapters.undertow.SessionManagementBridge

- All Implemented Interfaces:
    UserSessionManagement

      public class SessionManagementBridge
      extends Object
      implements UserSessionManagement

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected io.undertow.server.session.SessionManager` | `sessionManager`
    `protected UndertowUserSessionManagement` | `userSessionManagement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionManagementBridge(UndertowUserSessionManagement userSessionManagement, io.undertow.server.session.SessionManager sessionManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `logoutAll()`
    `void` | `logoutHttpSessions(List<String> ids)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userSessionManagement

          protected UndertowUserSessionManagement userSessionManagement

    - #### sessionManager

          protected io.undertow.server.session.SessionManager sessionManager

  - ### Constructor Detail

    - #### SessionManagementBridge

          public SessionManagementBridge(UndertowUserSessionManagement userSessionManagement,
                                 io.undertow.server.session.SessionManager sessionManager)

  - ### Method Detail

    - #### logoutAll

          public void logoutAll()

      Specified by:
        `logoutAll` in interface `UserSessionManagement`

    - #### logoutHttpSessions

          public void logoutHttpSessions(List<String> ids)

      Specified by:
        `logoutHttpSessions` in interface `UserSessionManagement`

Copyright © 2015. All Rights Reserved.